From 4fc55f3c92982528ed20109ee719551f6e0e405e Mon Sep 17 00:00:00 2001
From: Sergey Cherevko <sergey.cherevko@softline.com>
Date: Tue, 1 Aug 2023 10:45:07 +0300
Subject: [PATCH] import firefox-102.10.0-1.el9_1

 Conflicts:
	SPECS/firefox.spec
---
 .firefox.metadata  |  6 +++---
 .gitignore         |  6 +++---
 SPECS/firefox.spec | 21 ++++++++++++---------
 3 files changed, 18 insertions(+), 15 deletions(-)

diff --git a/.firefox.metadata b/.firefox.metadata
index 8e58263..7b5ad8a 100644
--- a/.firefox.metadata
+++ b/.firefox.metadata
@@ -1,7 +1,7 @@
 52f2d51d0e17d137571bf3a766f514d34e28e556 SOURCES/cbindgen-vendor.tar.xz
-8139b2326f15be4b7dec0adfd5f27a1531495f87 SOURCES/firefox-102.9.0esr.b2.processed-source.tar.xz
-558516929c10f87a61b5f07be57cdfef6213bf50 SOURCES/firefox-langpacks-102.9.0esr-20230310.tar.xz
+4eb11930a11e5eee89647354e41ab5b91c132d0d SOURCES/firefox-102.10.0esr.processed-source.tar.xz
+95f2f0cd510f0970cd1d1067a20f7396135e2506 SOURCES/firefox-langpacks-102.10.0esr-20230404.tar.xz
 2dbf669fa4742e7065cc54cec19f96423032658b SOURCES/firefox-symbolic.svg
 da39a3ee5e6b4b0d3255bfef95601890afd80709 SOURCES/mochitest-python.tar.gz
 af58b3c87a8b5491dde63b07efaeb3d7f1ec56c1 SOURCES/nspr-4.34.0-3.el8_1.src.rpm
-fc5297c6830f0a1e88f84b94b0b066487664061b SOURCES/nss-3.79.0-6.el8_1.src.rpm
+a9dd43799ab2ccbc248cfbba1cc5639c1ab18769 SOURCES/nss-3.79.0-11.el8_1.src.rpm
diff --git a/.gitignore b/.gitignore
index 8832ffc..37bf058 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,7 +1,7 @@
 SOURCES/cbindgen-vendor.tar.xz
-SOURCES/firefox-102.9.0esr.b2.processed-source.tar.xz
-SOURCES/firefox-langpacks-102.9.0esr-20230310.tar.xz
+SOURCES/firefox-102.10.0esr.processed-source.tar.xz
+SOURCES/firefox-langpacks-102.10.0esr-20230404.tar.xz
 SOURCES/firefox-symbolic.svg
 SOURCES/mochitest-python.tar.gz
 SOURCES/nspr-4.34.0-3.el8_1.src.rpm
-SOURCES/nss-3.79.0-6.el8_1.src.rpm
+SOURCES/nss-3.79.0-11.el8_1.src.rpm
diff --git a/SPECS/firefox.spec b/SPECS/firefox.spec
index ad6c4d5..f0a2448 100644
--- a/SPECS/firefox.spec
+++ b/SPECS/firefox.spec
@@ -26,7 +26,7 @@ function dist_to_rhel_minor(str, start)
   end
   match = string.match(str, ".el8")
   if match then
-     return 7
+     return 9
   end
   return -1
 end}
@@ -200,8 +200,8 @@ end}
 
 Summary:        Mozilla Firefox Web browser
 Name:           firefox
-Version:        102.9.0
-Release:        3%{?dist}.inferit.2
+Version:        102.10.0
+Release:        1%{?dist}.inferit.1
 URL:            https://www.mozilla.org/firefox/
 License:        MPLv1.1 or GPLv2+ or LGPLv2+
 
@@ -209,7 +209,7 @@ License:        MPLv1.1 or GPLv2+ or LGPLv2+
 # If set to .b2 or .b3 ... the processed source file needs to be renamed before upload, e.g.
 # firefox-102.8.0esr.b2.processed-source.tar.xz
 # When unset use processed source file name as is.
-%global buildnum .b2
+#%%global buildnum .b2
 
 %if 0%{?rhel} == 9
 ExcludeArch:    %{ix86}
@@ -231,7 +231,7 @@ ExcludeArch:    aarch64 s390 ppc
 # Link to original tarball: https://archive.mozilla.org/pub/firefox/releases/%{version}%{?pre_version}/source/firefox-%{version}%{?pre_version}.source.tar.xz
 Source0:        firefox-%{version}%{?pre_version}%{?buildnum}.processed-source.tar.xz
 %if %{with langpacks}
-Source1:        firefox-langpacks-%{version}%{?pre_version}-20230310.tar.xz
+Source1:        firefox-langpacks-%{version}%{?pre_version}-20230404.tar.xz
 %endif
 Source2:        cbindgen-vendor.tar.xz
 Source3:        process-official-tarball
@@ -259,7 +259,7 @@ Source42:       psummary
 Source43:       print_failures
 Source44:       print-error-reftest
 Source45:       run-wayland-compositor
-Source403:      nss-3.79.0-6.el8_1.src.rpm
+Source403:      nss-3.79.0-11.el8_1.src.rpm
 Source401:      nss-setup-flags-env.inc
 Source402:      nspr-4.34.0-3.el8_1.src.rpm
 
@@ -618,7 +618,7 @@ This package contains results of tests executed during build.
 %if 0%{?rhel} >= 9
 %package x11
 Summary: Firefox X11 launcher.
-Requires: %{name}
+Requires: %{name} = %{version}-%{release}
 %description x11
 The firefox-x11 package contains launcher and desktop file
 to run Firefox explicitly on X11.
@@ -1471,7 +1471,7 @@ gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
 #---------------------------------------------------------------------
 
 %changelog
-* Thu Jul 27 2023 Sergey Cherevko <s.cherevko@msvsphere.ru> - 102.9.0-3.inferit.2
+* Thu Jul 27 2023 Sergey Cherevko <s.cherevko@msvsphere.ru> - 102.10.0-1.inferit.1
 - Disable telemetry and geolocation by default
 - Rebuilt for MSVSphere 9.2
 
@@ -1481,6 +1481,9 @@ gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
 * Mon Apr 03 2023 Sergey Cherevko <s.cherevko@msvsphere.ru> - 102.3.0-6.inferit.2
 - Changed https to http on start page http://msvsphere.ru
 
+* Tue Apr 04 2023 Eike Rathke <erack@redhat.com> - 102.10.0-1
+- Update to 102.10.0 build1
+
 * Mon Apr 03 2023 Sergey Cherevko <s.cherevko@msvsphere.ru> - 102.3.0-6.inferit.1
 - Rebuild with updated sphere-bookmarks
 
@@ -1488,7 +1491,7 @@ gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
 - Added Russian Trusted Root CA
 - Debrand and rebuild for MSVSphere 9.1
 
-* Fri Mar 10 2023 Eike Rathke <erack@redhat.com> - 102.9.0-3
+* Fri Mar 10 2023 Eike Rathke <erack@redhat.com> - 102.9.0-4
 - Update to 102.9.0 build2
 
 * Thu Mar 09 2023 Jan Horak <jhorak@redhat.com> - 102.9.0-2
